Python3 PyQt5 pycharm 环境搭建

原文链接 简书的 markdown 没有目录,截图一张,让大家看的清楚,找到自己需要的东西。 image.png 开发环境: MAC OS 10.12.3 版本 (当前最新) Pycharm 2016.3.2 版本 (当前最新) Python 3.6.0...

2017-06-29 10:28:29

阅读数:553

评论数:0

用 PyInstaller 打包基于 PyQt 的程序遇到的坑

原文链接 之前写了个脚本自己平常工作用,最近因为需要把脚本给其他同事用,为了避免它们还需要配置环境,于是用 PyQt 写了个界面,然后用 PyInstaller 打包成 exe 。打包过程中遇到了一些坑,纪录一下。 PyQt 之前写过一个虾米歌单导出小脚本,exe 版本是用的...

2017-06-29 10:27:11

阅读数:1502

评论数:0

Pyinstaller打包运行exe报错 No module named matplotlib.backends.backend_tkagg

原文链接 up vote7down voteaccepted I've seen this before, also on openSUSE (12.3). The fix is to edit the default matplotlibrc file. Here's ...

2017-06-29 10:20:01

阅读数:440

评论数:0

使用pyinstaller打包pyqt5出错问题解决

原文链接 我使用的打包命令如下 pyinstaller -F form.py 打包的时候有很多lib not found的警告,打包完运行会出错,提示如下 C:\Users\leon\Desktop\pyqt\dist>form.exe Traceback (most ...

2017-06-29 10:18:23

阅读数:322

评论数:0

python3安装xadmin出现 UnicodeDecodeError: 'gbk' codec can't decode byte 0xa4 in position 3444

原文链接 python3的环境安装xadmin时,直接pip install xadmin出现 Downloading xadmin-0.6.1.tar.gz (1.0MB) 100% |████████████████████████████████| 1.0MB 547kB...

2017-06-09 16:39:13

阅读数:531

评论数:0

Python - 多版本共存与虚拟独立环境

原文链接 背景 利用pip直接在本地python环境安装包,基本上都安装到了site_package目录下面。 随着安装的包越来越多,依赖关系也就越来越复杂。不同的项目之间,依赖关系也会出现版本冲突的问题。 此时,独立的Python环境便可以很好地解决以上问题。 ...

2017-06-09 16:37:47

阅读数:343

评论数:0

Django 改为用pymysql方法

原文链接 唉,最近赶了个新潮,用起了Python3.4跟Django1.6,数据库依然是互联网企业常见的MySql。 悲催的是在Python2.7时代连接MySql的MySQLdb还不支持Python3.4,还好,苦苦追问G哥终于找到一款代替品,而且效果不错,这代替品就是:pymy...

2017-06-05 09:22:43

阅读数:203

评论数:0

提示
确定要删除当前文章?
取消 删除
关闭
关闭